Subject: RE: Automake 1.5
From: "Ronald Landheer" <[email-masked]>
To: "Charles Wilson" <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 9 Sep 2001 15:02:51 +0200

Hello Charles..

> Well, many folks have been happily using Automake-1.5 on cygwin
> without libtool; it must be something about your .am files that is
> pulling in that dependency.  I think this is an automake question
> primarily, and only secondarily a cygwin question.  You'd probably be
> better off on the automake list ([email-masked]).
OK, I'll redirect my question there. Thing is, though, that neither my Makefile.am nor my configure.in file contains _any_ reference to Libtool. I've installed Libtool 1.4 (which runs OOTB) on my Cygwin, and there is no more problem. It doesn't create Libtool libraries (which is why I don't want to use libtool) but I'm not sure what it is doing.
Like I said, I'll redirect my question to [email-masked].

Thanx!

>> NB: I also find this new dependency tracking system very, very 
>>     annoying..
> First, the new dependency stuff in setup is new, and will doubtless
> need refining.  Second, you're going to HAVE to be a little more
> specific. Also, your annoyance has to be balanced against (1) all
> those newbies who only install parts of cygwin (and get the wrong
> parts and neglect to install actual dependencies: gcc without
> binutils, etc), and (2) everybody else who is annoyed that OUR first
> response to people in (1) is "download and install the entire 300M
> distribution.
> We HAVE to have dependency tracking, but nobody claims that setup's
> implementation is perfect.  Help us.
Sorry - I wasn't talking about setup - that's just fine (if I have 
anything to say about that, I will certainly be more specific & try to 
find a solution :) I was talking about Automake's dependency tracking, 
which doesn't seem to work for me - though I see no reason why it 
wouldn't..
Another question for the appropriate list :) (But for the moment, I've 
just shut it off)

Thanx & Greetz!

Ronald

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/